Оновлення звернення
Змініть статус звернення, обліковану суму повернення або обидва значення одним API-запитом.
PATCH
/api/v1/requests/{request_id}Запит cURL
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request PATCH \
--url https://shop.onshopently.com/api/v1/requests/request-0000 \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: example-request-update' \
--header 'Content-Type: application/json' \
--data-raw '{"refund":{"amount":"25.00","expected_version":0},"status":{"expected_version":1,"status_id":"request-accepted"}}'
Відповідь
{
"data": {
"deleted": false,
"id": "request-0000",
"version": null,
"versions": {
"refund": 1,
"status": 2
}
},
"meta": {
"request_id": "example"
}
}
Потрібні дозволи
- Автентифікація
- Токен доступу
- Доступно починаючи з
- BASIC
- Дозвіл ключа